<%= simple_form_for [:admin, @campaign] do |f| %>
  <%= f.input :year,
              as: :date,
              discard_day: true,
              discard_month: true,
              start_year: 2017,
              label: 'Year of election',
              prompt: 'Choose Year' %>

  <%= f.association :office,
                    prompt: 'Choose the office',
                    collection: Office.order('name ASC') %>

  <%= f.association :candidate,
                    prompt: 'Choose the Candidate',
                    label_method: lambda { |can| "#{can.fullname}"},
                    collection: Candidate.order('lastname ASC') %>

  <%= f.input :url,
             label: 'Campaign Website',
             input_html: { minlength: 1 } %>
  <%= f.input :instagram,
             label: 'Campaign Instagram',
             input_html: { minlength: 1 } %>
  <%= f.input :facebook,
             label: 'Campaign Facebook',
             input_html: { minlength: 1 } %>
  <% f.input :twitter,
             label: 'Campaign Twitter',
             input_html: { minlength: 1 } %>
  <%= f.input :candidate_statement,
  as: :text %>
  <%= f.submit %>
<% end %>
